Package io.vertx.grpc.reflection.v1

## Class FileDescriptorResponse

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - io.vertx.grpc.reflection.v1.FileDescriptorResponse

- All Implemented Interfaces:
    `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `FileDescriptorResponseOrBuilder`, `Serializable`

      public final class FileDescriptorResponse
      extends com.google.protobuf.GeneratedMessage
      implements FileDescriptorResponseOrBuilder

       Serialized FileDescriptorProto messages sent by the server answering
       a file_by_filename, file_containing_symbol, or file_containing_extension
       request.

  Protobuf type `grpc.reflection.v1.FileDescriptorResponse`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FileDescriptorResponse.Builder` | Serialized FileDescriptorProto messages sent by the server answering a file_by_filename, file_containing_symbol, or file_containing_extension request.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,​BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,​BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,​T extends Object>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

      `com.google.protobuf.AbstractMessage.BuilderParent`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

      `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `FILE_DESCRIPTOR_PROTO_FIELD_NUMBER` |

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static FileDescriptorResponse` | `getDefaultInstance()` |
    `FileDescriptorResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.ByteString` | `getFileDescriptorProto​(int index)` | Serialized FileDescriptorProto messages.
    `int` | `getFileDescriptorProtoCount()` | Serialized FileDescriptorProto messages.
    `List<com.google.protobuf.ByteString>` | `getFileDescriptorProtoList()` | Serialized FileDescriptorProto messages.
    `com.google.protobuf.Parser<FileDescriptorResponse>` | `getParserForType()` |
    `int` | `getSerializedSize()` |
    `int` | `hashCode()` |
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `static FileDescriptorResponse.Builder` | `newBuilder()` |
    `static FileDescriptorResponse.Builder` | `newBuilder​(FileDescriptorResponse prototype)` |
    `FileDescriptorResponse.Builder` | `newBuilderForType()` |
    `protected FileDescriptorResponse.Builder` | `newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)` |
    `static FileDescriptorResponse` | `parseDelimitedFrom​(InputStream input)` |
    `static FileDescriptorResponse` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static FileDescriptorResponse` | `parseFrom​(byte[] data)` |
    `static FileDescriptorResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static FileDescriptorResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
    `static FileDescriptorResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static FileDescriptorResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
    `static FileDescriptorResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static FileDescriptorResponse` | `parseFrom​(InputStream input)` |
    `static FileDescriptorResponse` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static FileDescriptorResponse` | `parseFrom​(ByteBuffer data)` |
    `static FileDescriptorResponse` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `static com.google.protobuf.Parser<FileDescriptorResponse>` | `parser()` |
    `FileDescriptorResponse.Builder` | `toBuilder()` |
    `void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Field Detail

    - #### FILE_DESCRIPTOR_PROTO_FIELD_NUMBER

          public static final int FILE_DESCRIPTOR_PROTO_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getFileDescriptorProtoList

          public List<com.google.protobuf.ByteString> getFileDescriptorProtoList()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProtoList` in interface `FileDescriptorResponseOrBuilder`
      Returns:
        A list containing the fileDescriptorProto.

    - #### getFileDescriptorProtoCount

          public int getFileDescriptorProtoCount()

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProtoCount` in interface `FileDescriptorResponseOrBuilder`
      Returns:
        The count of fileDescriptorProto.

    - #### getFileDescriptorProto

          public com.google.protobuf.ByteString getFileDescriptorProto​(int index)

           Serialized FileDescriptorProto messages. We avoid taking a dependency on
           descriptor.proto, which uses proto2 only features, by making them opaque
           bytes instead.

      `repeated bytes file_descriptor_proto = 1;`
      Specified by:
        `getFileDescriptorProto` in interface `FileDescriptorResponseOrBuilder`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The fileDescriptorProto at the given index.

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo​(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

    - #### equals

          public boolean equals​(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(ByteBuffer data)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(ByteBuffer data,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(com.google.protobuf.ByteString data)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(com.google.protobuf.ByteString data,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(byte[] data)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(byte[] data,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(InputStream input)
                                                  throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(InputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FileDescriptorResponse parseDelimitedFrom​(InputStream input)
                                                           throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FileDescriptorResponse parseDelimitedFrom​(InputStream input,
                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(com.google.protobuf.CodedInputStream input)
                                                  throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FileDescriptorResponse parseFrom​(com.google.protobuf.CodedInputStream input,
                                                         com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                  throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public FileDescriptorResponse.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static FileDescriptorResponse.Builder newBuilder()

    - #### newBuilder

          public static FileDescriptorResponse.Builder newBuilder​(FileDescriptorResponse prototype)

    - #### toBuilder

          public FileDescriptorResponse.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected FileDescriptorResponse.Builder newBuilderForType​(com.google.protobuf.AbstractMessage.BuilderParent parent)

      Overrides:
        `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

    - #### getDefaultInstance

          public static FileDescriptorResponse getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<FileDescriptorResponse> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<FileDescriptorResponse> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### getDefaultInstanceForType

          public FileDescriptorResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`